> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アプリの WebApp 設定を取得

> このアプリケーションの WebApp 設定（サイト設定、テーマ、カスタマイズオプション）を取得します。



## OpenAPI

````yaml /ja/api-reference/openapi_completion.json get /site
openapi: 3.0.1
info:
  title: Completion アプリ API
  description: テキスト生成アプリケーションはセッションなしで動作し、翻訳、記事作成、要約 AI などに最適です。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: テキスト生成アプリ API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: 完了メッセージ
    description: テキスト生成に関連する操作です。
  - name: ファイル操作
    description: ファイル管理に関連する操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックに関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識に関連する操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
paths:
  /site:
    get:
      tags:
        - アプリケーション設定
      summary: アプリの WebApp 設定を取得
      description: このアプリケーションの WebApp 設定（サイト設定、テーマ、カスタマイズオプション）を取得します。
      operationId: getCompletionWebAppSettingsJp
      responses:
        '200':
          description: アプリケーションの WebApp 設定。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebAppSettingsResponse'
              examples:
                webAppSettings:
                  summary: レスポンス例
                  value:
                    title: My Chat App
                    chat_color_theme: '#4A90D9'
                    chat_color_theme_inverted: false
                    icon_type: emoji
                    icon: 🤖
                    icon_background: '#FFFFFF'
                    icon_url: null
                    description: 便利なカスタマーサービスチャットボット。
                    copyright: 2025 Dify
                    privacy_policy: https://example.com/privacy
                    custom_disclaimer: ''
                    default_language: en-US
                    show_workflow_steps: false
                    use_icon_as_answer_icon: true
        '403':
          description: '`forbidden` : このアプリケーションのサイトが見つからないか、ワークスペースがアーカイブされています。'
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden
                  value:
                    status: 403
                    code: forbidden
                    message: Forbidden.
components:
  schemas:
    WebAppSettingsResponse:
      type: object
      properties:
        title:
          type: string
          description: WebApp タイトル。
        chat_color_theme:
          type: string
          description: チャットカラーテーマ。
        chat_color_theme_inverted:
          type: boolean
          description: チャットカラーテーマが反転しているかどうか。
        icon_type:
          type: string
          description: 使用されるアイコンのタイプ。`emoji` は絵文字アイコン、`image` はアップロードされた画像アイコンです。
        icon:
          type: string
          description: アイコンのコンテンツ（絵文字または画像 ID）。
        icon_background:
          type: string
          description: アイコンの背景色。
        icon_url:
          type: string
          format: url
          nullable: true
          description: アイコン画像の URL。
        description:
          type: string
          description: WebApp の説明。
        copyright:
          type: string
          description: 著作権テキスト。
        privacy_policy:
          type: string
          description: プライバシーポリシー URL。
        custom_disclaimer:
          type: string
          description: カスタム免責事項テキスト。
        default_language:
          type: string
          description: デフォルト言語コード。
        show_workflow_steps:
          type: boolean
          description: ワークフローステップを表示するかどうか。
        use_icon_as_answer_icon:
          type: boolean
          description: アプリアイコンを回答アイコンとして使用するかどうか。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````